Project

General

Profile

Bug #8791

I18n::InvalidLocale: :en is not a valid locale

Added by Pavel Andreev almost 5 years ago. Updated over 1 year ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
Internationalization
Target version:
Difficulty:
easy
Triaged:
Bugzilla link:
Fixed in Releases:
Found in Releases:

Description

Installing from source I've hit the subj during assests and locales compilation. To fix I had to change i18n gem version to 0.6.11 from i18n (~> 0.6, >= 0.6.4). 0.7.x was installed by default. Also i18n.enforce_available_locales should be set to false to avoid warnings I guess.


Related issues

Related to Foreman - Bug #4274: remove I18n deprecation warning when running testsResolved2014-02-06
Related to Foreman - Bug #13256: Revert i18n pin, allow 0.7.xClosed2016-01-18

Associated revisions

Revision 40c46f1f (diff)
Added by Michael Moll almost 5 years ago

fixes #8791 - pin i18n gem

Revision d7947de3 (diff)
Added by Michael Moll over 4 years ago

fixes #8791 - pin i18n gem

(cherry picked from commit 40c46f1f8670e1ef834182fe53e670da8da42428)

Conflicts:
Gemfile

History

#1 Updated by The Foreman Bot almost 5 years ago

  • Status changed from New to Ready For Testing
  • Pull request https://github.com/theforeman/foreman/pull/2041 added
  • Pull request deleted ()

#2 Updated by Michael Moll almost 5 years ago

  • Status changed from Ready For Testing to Closed
  • % Done changed from 0 to 100

#3 Updated by Dominic Cleal almost 5 years ago

  • Related to Bug #4274: remove I18n deprecation warning when running tests added

#4 Updated by Dominic Cleal almost 5 years ago

  • Project changed from Installer to Foreman
  • Category changed from foreman-installer script to Internationalization
  • Assignee set to Michael Moll

#5 Updated by Dominic Cleal almost 5 years ago

#6 Updated by Dominic Cleal almost 5 years ago

#7 Updated by Dominic Cleal over 3 years ago

  • Related to Bug #13256: Revert i18n pin, allow 0.7.x added

Also available in: Atom PDF